Bug 222584 - oom killer triggered with no DMA zone memory free.
oom killer triggered with no DMA zone memory free.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-14 15:25 EST by Jack Tanner
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-03 16:12:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Tanner 2007-01-14 15:25:45 EST
Kernel 2.6.18-1.2869.fc6.

Here's what happened on the user end: Thunderbird started becoming very
unresponsive, and finally crashed. I ssh'ed into the box, and saw load over 10!
On a hunch, I killed yum-updatesd, and everything calmed down pretty quickly.
I've no idea how one would reproduce this, but if you can tell me what to try, I
will! 

Then this showed up in /var/log/messages (over 40 times).

Jan 13 04:06:58 luserpc kernel: DWARF2 unwinder stuck at error_code+0x39/0x40
Jan 13 04:06:58 luserpc kernel: Leftover inexact backtrace:
Jan 13 04:06:58 luserpc kernel:  =======================
Jan 13 04:06:55 luserpc kernel: Mem-info:
Jan 13 04:06:56 luserpc kernel: DMA per-cpu:
Jan 13 04:06:56 luserpc kernel: cpu 0 hot: high 0, batch 1 used:0
Jan 13 04:06:56 luserpc kernel: cpu 0 cold: high 0, batch 1 used:0
Jan 13 04:06:57 luserpc kernel: DMA32 per-cpu: empty
Jan 13 04:06:57 luserpc kernel: Normal per-cpu:
Jan 13 04:06:57 luserpc kernel: cpu 0 hot: high 186, batch 31 used:182
Jan 13 04:06:57 luserpc kernel: cpu 0 cold: high 62, batch 15 used:48
Jan 13 04:06:57 luserpc kernel: HighMem per-cpu: empty
Jan 13 04:06:57 luserpc kernel: Free pages:        5168kB (0kB HighMem)
Jan 13 04:06:58 luserpc kernel: Active:58654 inactive:58124 dirty:0 writeback:0 u
nstable:0 free:1292 slab:5119 mapped:846 pagetables:1406
Jan 13 04:06:58 luserpc kernel: DMA free:2036kB min:88kB low:108kB high:132kB act
ive:5132kB inactive:4104kB present:16384kB pages_scanned:16045 all_unreclaimable
? yes
Jan 13 04:06:58 luserpc kernel: lowmem_reserve[]: 0 0 487 487
Jan 13 04:06:58 luserpc kernel: DMA32 free:0kB min:0kB low:0kB high:0kB active:0k
B inactive:0kB present:0kB pages_scanned:0 all_unreclaimable? no
Jan 13 04:06:58 luserpc kernel: lowmem_reserve[]: 0 0 487 487
Jan 13 04:06:58 luserpc kernel: Normal free:3132kB min:2776kB low:3468kB high:416
4kB active:229484kB inactive:228392kB present:498880kB pages_scanned:776877 all_
unreclaimable? yes
Jan 13 04:06:58 luserpc kernel: lowmem_reserve[]: 0 0 0 0
Jan 13 04:06:58 luserpc kernel: HighMem free:0kB min:128kB low:128kB high:128kB a
ctive:0kB inactive:0kB present:0kB pages_scanned:0 all_unreclaimable? no
Jan 13 04:06:58 luserpc kernel: lowmem_reserve[]: 0 0 0 0
Jan 13 04:06:58 luserpc kernel: DMA: 1*4kB 0*8kB 1*16kB 1*32kB 1*64kB 1*128kB 1*2
56kB 1*512kB 1*1024kB 0*2048kB 0*4096kB = 2036kB
Jan 13 04:06:58 luserpc kernel: DMA32: empty
Jan 13 04:06:58 luserpc kernel: Normal: 89*4kB 9*8kB 15*16kB 15*32kB 1*64kB 1*128
kB 1*256kB 1*512kB 1*1024kB 0*2048kB 0*4096kB = 3132kB
Jan 13 04:06:58 luserpc kernel: HighMem: empty
Jan 13 04:06:58 luserpc kernel: Swap cache: add 191990, delete 191765, find 69613
/73722, race 0+0
Jan 13 04:06:58 luserpc kernel: Free swap  = 0kB
Jan 13 04:06:58 luserpc kernel: Total swap = 524280kB
Jan 13 04:06:58 luserpc kernel: Free swap:            0kB
Jan 13 04:06:58 luserpc kernel: 128816 pages of RAM
Jan 13 04:06:58 luserpc kernel: 0 pages of HIGHMEM
Jan 13 04:06:58 luserpc kernel: 2249 reserved pages
Jan 13 04:06:58 luserpc kernel: 12098 pages shared
Jan 13 04:06:58 luserpc kernel: 225 pages swap cached
Jan 13 04:06:58 luserpc kernel: 0 pages dirty
Jan 13 04:06:58 luserpc kernel: 0 pages writeback
Jan 13 04:06:58 luserpc kernel: 846 pages mapped
Jan 13 04:06:58 luserpc kernel: 5119 pages slab
Jan 13 04:06:58 luserpc kernel: 1406 pages pagetables
Jan 13 04:06:58 luserpc kernel: thunderbird-bin invoked oom-killer: gfp_mask=0x20
1d2, order=0, oomkilladj=0
Jan 13 04:06:58 luserpc kernel:  [<c04051db>] dump_trace+0x69/0x1af
Jan 13 04:06:58 luserpc kernel:  [<c0405339>] show_trace_log_lvl+0x18/0x2c
Jan 13 04:06:58 luserpc kernel:  [<c04058ed>] show_trace+0xf/0x11
Jan 13 04:06:58 luserpc kernel:  [<c04059ea>] dump_stack+0x15/0x17
Jan 13 04:06:58 luserpc kernel:  [<c04569b4>] out_of_memory+0x49/0x191
Jan 13 04:06:58 luserpc kernel:  [<c0457eba>] __alloc_pages+0x220/0x2aa
Jan 13 04:06:58 luserpc kernel:  [<c04591d9>] __do_page_cache_readahead+0xc6/0x1c
8
Jan 13 04:06:58 luserpc kernel:  [<c0455f50>] filemap_nopage+0x15a/0x33e
Jan 13 04:06:58 luserpc kernel:  [<c045eb6d>] __handle_mm_fault+0x284/0x860
Jan 13 04:06:58 luserpc kernel:  [<c0615640>] do_page_fault+0x213/0x4db
Jan 13 04:06:58 luserpc kernel:  [<c0404b85>] error_code+0x39/0x40
Comment 1 Dave Jones 2007-02-03 16:12:24 EST
you ran out of memory.   Whether this is because the application was leaking
memory, or you were just trying to do too much is unknown, but it isn't a kernel
bug.

Note You need to log in before you can comment on or make changes to this bug.